baseline.lowpass {baseline} | R Documentation

## Low-pass FFT filter

### Description

An algorithm for removing baselines based on Fast Fourier Transform filtering

### Usage

    baseline.lowpass(spectra, steep = 2, half = 5)

### Arguments

`spectra` | Matrix with spectra in rows
`steep` | Steepness of filter curve
`half` | Half-way point of filter curve

### Details

Since the scale of the spectra will be different after filtering, baselines will not be returned by the algorithm

### Value

`baseline` | Matrix of baselines corresponding to spectra `spectra`
`corrected` | Matrix of baseline corrected spectra

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### References

AHMET K. ATAKAN, W. E. BLASS, and D. E. JENNINGS: Elimination of Baseline Variations from a Recorded Spectrum by Ultra-low Frequency Filtering

### Examples

    data(milk)
    bc.lowpass <- baseline(milk$spectra[1,, drop=FALSE], method='lowpass')
    ## Not run:
    	plot(bc.lowpass)

    ## End(Not run)

[Package baseline version 1.2-1 Index]